| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
TBBMessageSvc::MessageWithLevel Class Reference

Specialized class to report a message with explicit output level. More...

Inheritance diagram for TBBMessageSvc::MessageWithLevel:
[legend]
Collaboration diagram for TBBMessageSvc::MessageWithLevel:
[legend]

## Public Member Functions
| MessageWithLevel (TBBMessageSvc &svc, Message msg, int level)
virtual void | run () override
| Method to be implemented by the actual task classes. More...
Public Member Functions inherited from TBBMessageSvc::MessageTaskCommon
| MessageTaskCommon (TBBMessageSvc &svc)
Public Member Functions inherited from Gaudi::SerialTaskQueue::WorkItem
virtual | ~WorkItem ()

## Private Attributes
Message | m_msg
int | m_level

## Additional Inherited Members
Protected Attributes inherited from TBBMessageSvc::MessageTaskCommon
TBBMessageSvc & | m_svc
std::thread::id | m_sender

## Detailed Description

Specialized class to report a message with explicit output level.

Definition at line 62 of file TBBMessageSvc.h.

## Constructor & Destructor Documentation

TBBMessageSvc::MessageWithLevel::MessageWithLevel | ( | TBBMessageSvc & | svc,
|  | Message | msg,
|  | int | level
| ) |  |
| inline

Definition at line 65 of file TBBMessageSvc.h.

66 : MessageTaskCommon( svc ), m_msg( msg ), m_level( level )
67 {
68 }
TBBMessageSvc::MessageWithLevel::m_level
int m_level
Definition: TBBMessageSvc.h:73
TBBMessageSvc::MessageWithLevel::m_msg
Message m_msg
Definition: TBBMessageSvc.h:72
gaudirun.level
level
Definition: gaudirun.py:271
TBBMessageSvc::MessageTaskCommon::MessageTaskCommon
MessageTaskCommon(TBBMessageSvc &svc)
Definition: TBBMessageSvc.h:54

## Member Function Documentation

virtual void TBBMessageSvc::MessageWithLevel::run | ( |  | ) |
| inline override virtual

Method to be implemented by the actual task classes.

Implements Gaudi::SerialTaskQueue::WorkItem.

Definition at line 69 of file TBBMessageSvc.h.

69 { m_svc.i_reportMessage( m_msg, m_level ); }
TBBMessageSvc::MessageWithLevel::m_level
int m_level
Definition: TBBMessageSvc.h:73
MessageSvc::i_reportMessage
virtual void i_reportMessage(const Message &msg, int outputLevel)
Internal implementation of reportMessage(const Message&,int) without lock.
Definition: MessageSvc.cpp:366
TBBMessageSvc::MessageTaskCommon::m_svc
TBBMessageSvc & m_svc
Definition: TBBMessageSvc.h:57
TBBMessageSvc::MessageWithLevel::m_msg
Message m_msg
Definition: TBBMessageSvc.h:72

## Member Data Documentation

int TBBMessageSvc::MessageWithLevel::m_level
| private

Definition at line 73 of file TBBMessageSvc.h.

Message TBBMessageSvc::MessageWithLevel::m_msg
| private

Definition at line 72 of file TBBMessageSvc.h.

The documentation for this class was generated from the following file:

- GaudiCoreSvc/src/MessageSvc/TBBMessageSvc.h